<?
        /*
                pcCalendar - display calendar for a given month & year
                Copyright (c) 2000, Polaris Computing
                http://www.polaris.ca/
        */

        class pcCalendar
        {

                var $gaWeekTitles;

                function pcCalendar()
                {
                        /* initialise the global variables */
                        $this->gaWeekTitles[] = "星期日";
                        $this->gaWeekTitles[] = "星期一";
                        $this->gaWeekTitles[] = "星期二";
                        $this->gaWeekTitles[] = "星期三";
                        $this->gaWeekTitles[] = "星期四";
                        $this->gaWeekTitles[] = "星期五";
                        $this->gaWeekTitles[] = "星期六";
                }

                function intShowCalendar( $intYear = 0, $intMonth = 0 ,$dstr)
                {
                        /* if month and/or year not set, change to current month and year */
                        $intMonth = ( $intMonth == 0 ) ? strftime( "%m" ) : $intMonth;
                        $intYear = ( $intYear == 0 ) ? strftime( "%Y" ) : $intYear;

                        /* determine total days in month */
                        $lintTotalDays = 0;
                        while ( checkdate( $intMonth, $lintTotalDays + 1, $intYear ) )
                                $lintTotalDays++;

                        /* build table */
                        $this->intStartTable();
                        $this->intStartRow();

                        for ( $i = 0; $i < 7; $i++ )
                                $this->intDisplayWeekTitle( $i );

                        $this->intFinishRow();
                        $this->intStartRow();

                        /* ensure that enough blanks are put in so that the first day of the month
                           lines up with the proper day of the week */
                        $lintOffset = date( "w", mktime( 0, 0, 0, $intMonth, 1, $intYear ) );
                        for ( $i = 0; $i < $lintOffset; $i++ )
                                $this->intDisplayDay( 0, 0, "&nbsp;" ,"",$lintOffset);

                        /* start filling in the days of the month */
                        for ( $lintDay = 1; $lintDay <= $lintTotalDays; $lintDay++ )
                        {
                                $this->intDisplayDay( $intYear, $intMonth, $lintDay,$dstr[$lintDay],$lintOffset );

                                /* terminate row if we're at on the last day of the week */
                                $lintOffset++;
                                if ( $lintOffset > 6 )
                                {
                                        $lintOffset = 0;
                                        $this->intFinishRow;
                                        if ( $lintDay < $lintTotalDays )
                                                $this->intStartRow();
                                }
                        }

                        /* fill in the remainder of the row with spaces */
                        if ( $lintOffset > 0 )
                                $lintOffset = 7 - $lintOffset;

                        for ( $i = 0; $i < $lintOffset; $i++ )
                                $this->intDisplayDay( 0, 0, "&nbsp;" ,"",$lintOffset);

                        $this->intFinishRow();
                        $this->intFinishTable();
                }


                function intStartTable()
                {
                        /* this function should be overridden with your own routines */

                        echo '<table style="border-collapse:collapse;" border="1" cellspacing="0" cellpadding="0" bordercolordark="white" bordercolorlight="white" >';
                        //echo '<table border="1" cellspacing="0" cellpadding="0" bordercolor="gray" >';
                }

                function intFinishTable()
                {
                        /* this function should be overridden with your own routines */

                        echo '</table>';
                }

                function intStartRow()
                {
                        /* this function should be overridden with your own routines */

                        echo '<tr>';
                }

                function intFinishRow()
                {
                        /* this function should be overridden with your own routines */

                        echo '</tr>';
                }

       function intDisplayWeekTitle( $intWeekDay )
       {
                        /* this function should be overridden with your own routines */
            switch ($intWeekDay) {
              case '0':
              case '6':
							  $bgcolor = "#C66060";
							  break;
              default:
							  $bgcolor = "#99CC66";
            }
            /*
						if ($intWeekDay == '0' || $intWeekDay == '6')
							$bgcolor = "#C66060";
						else
							$bgcolor = "#99CC66";
						*/
             echo "<th bgcolor='$bgcolor' width=180><span style='font-size:11pt;padding:0;color:black;'>", $this->gaWeekTitles[ $intWeekDay ], '</span></th>';
       }

       function intDisplayDay( $intYear, $intMonth, $intDay,$estr,$intWeekDay )
       {
						global $conn, $hotel_no,$branchlogin;
						$today=date("Y-m-d");
						$c_date = $intYear."-".sprintf('%02d',$intMonth)."-".sprintf('%02d',$intDay);
						$c_desc='';
						$sql = "SELECT c_desc FROM calendar WHERE c_date='$c_date'";
						$rs = $conn->Execute($sql);
						$c_desc = $rs->fields('c_desc');
						//if ($today < $c_date) $estr='';

            switch ($intWeekDay) {
              case '0':
              case '6':
							  $bgcolor = "#C66060";
							  break;
              default:
							  $bgcolor = "#99CC66";
            }
            /*
						if ($intWeekDay == '0' || $intWeekDay == '6')
							$bgcolor = "#C66060";
						else
							$bgcolor = "#99CC66";
							*/
            if ($c_desc) { $bgcolor="#ffff00";}
						$cccdate=date('Y-m-d');
						if ($c_date==$cccdate) {
            		$bgcolor='#CC6600';
            } 
            if (!empty($estr)){
              if (($hotel_no==$branchlogin)||($branchlogin=='H888')) {
               $btn_new="<button type='button' style='width:50px;color:red;cursor:pointer;font-size:9pt;padding:0.2em;' onclick=\"opwin1('HFS4030.php?rd_cidate=$c_date&rd_days=1&hotel_no=$hotel_no',1020,680)\" title='新增訂單'>新訂單</button>";
               $btn_edit="<button type='button' style='width:25px;color:navy;cursor:pointer;font-size:9pt;padding:0.2em;' onclick=\"opwin1('edit_calendar.php?c_date=$c_date&vyear=$intYear&mon=$intMonth&hotel_no=$hotel_no')\" title='新增日期說明'>$intDay</button>";
               } else {
                 $btn_new="";
                 $btn_edit="<font color=blue>".$intDay."</font>";
               }
               echo "<td width=180 valign='middle' bgcolor='$bgcolor' style='font-family:Lucida Console;color:white;font-size:11pt;'>$btn_edit $btn_new".(($c_desc)?" <span style='color:blue;font-size=10pt;padding:0.2em;'>$c_desc</span>":"")."<br>$estr</td>";
//                echo "<td width=180 valign='middle' bgcolor='$bgcolor' style='font-family:Lucida Console;color:white;font-size:11pt;'><button type='button' style='color:navy;cursor:pointer;' onclick=\"opwin1('edit_calendar.php?c_date=$c_date&vyear=$intYear&mon=$intMonth')\">$intDay</button> <font color='blue' size='3'>$c_desc</font>$estr</td>";
//                echo "<form><td width=180 bgcolor='#99CCCC' style='font-family:Lucida Console;color:white;font-size:11pt;'><span style='color:navy;cursor:pointer;' onclick=\"opwin1('edit_calendar.php?c_date=$c_date&vyear=$intYear&mon=$intMonth')\">$intDay <font color=red size='2'>$c_desc</font></span>$estr</td></form>";
            }
            else{
               echo '<td width=180 bgcolor="#cccccc" style=\'font-family:Lucida Console;color:white;font-size:11pt;\'>', $intDay.$estr, '</td>';
            }
          $rs->Close();
        }
    }
?>
