<?php
//===================================================== 
// 程式員: Magic Jerry 
// 
// function Big5_Gb($str) => big5轉GB for string 
// function Gb_Big5($str) => GB轉Big5 for string 
//===================================================== 
class CCharset { 

var $gb_map=dirname(__FILE__)."/gb.map"; //如果要放到別的路徑,要加上完整路徑 
var $big5_map=dirname(__FILE__)."/big5.map"; //例如 ="/home/table/gb.map 

var $dep_char = 127; 


//----------------------------------------------------------------- 
function cbig5_gb($str,$fd) { 

$c=ord(substr($str,0,1)); 
$x=ord(substr($str,1,1)); 
$address=(($c-160)*510)+($x-1)*2; 
fseek($fd, $address); 
$hi=fgetc($fd); 
$lo=fgetc($fd); 
return "$hi$lo"; 
} 

function cgb_big5($str,$fd) { 
$c=ord(substr($str,0,1)); 
$x=ord(substr($str,1,1)); 
$address=(($c-160)*510)+($x-1)*2; 
fseek($fd, $address); 
$hi=fgetc($fd); 
$lo=fgetc($fd); 
return "$hi$lo"; 
} 

//----------------------------------------------------------------- 
function Big5_Gb($str) { 
$fd = fopen ($this->gb_map, "r"); 
$str=str_replace("charset=big5","charset=gb2312", $str); 
$outstr=""; 
for($i=0;$i<strlen($str);$i++) { 
$ch=ord(substr($str,$i,1)); 
if($ch > $this->dep_char) { 
$outstr.=$this->cbig5_gb(substr($str,$i,2),$fd); 
$i++; 

} else { 
$outstr.=substr($str,$i,1); 
} 
} 
fclose ($fd); 
return $outstr; 
} 
//----------------------------------------------------------------- 
function Gb_Big5($str) { 
$fd = fopen ($this->big5_map, "r"); 
$str=str_replace("charset=gb2312","charset=big5", $str); 
$outstr=""; 
for($i=0;$i<strlen($str);$i++) { 
$ch=ord(substr($str,$i,1)); 
if($ch > $this->dep_char) { 
$outstr.=$this->cgb_big5(substr($str,$i,2),$fd); 
$i++; 

} else { 
$outstr.=substr($str,$i,1); 
} 
} 
fclose ($fd); 
return $outstr; 

} 

} 
?>
