# MySQL-Front 3.1  (Build 9.0)


DROP TABLE IF EXISTS `roomcon_force`;

CREATE TABLE `roomcon_force` (
  `rid` int(11) NOT NULL auto_increment,
  `hid` varchar(5) NOT NULL default '',
  `room_no` varchar(10) NOT NULL default '',
  `room_status` char(1) NOT NULL default '',
  `ci_date` date NOT NULL default '0000-00-00',
  `ci_time` time NOT NULL default '00:00:00',
  `s_days` int(11) NOT NULL default '0',
  `co_date` date NOT NULL default '0000-00-00',
  `co_time` time NOT NULL default '00:00:00',
  `res_no` varchar(14) NOT NULL default '',
  `res_man` varchar(20) NOT NULL default '',
  `main_room_no` varchar(10) default NULL,
  `ci_no` varchar(16) NOT NULL default '',
  `v_type` char(1) NOT NULL default '',
  `v_code` varchar(10) NOT NULL default '',
  `v_name` varchar(20) NOT NULL default '',
  `v_idno` varchar(12) default NULL,
  `v_vipno` varchar(12) default NULL,
  `m_cidno` varchar(12) default NULL,
  `class_no` varchar(12) default NULL,
  `male_qty` varchar(12) default NULL,
  `vip_code` varchar(10) default NULL,
  `merch_no` varchar(7) default NULL,
  `ad_qty` int(2) NOT NULL default '0',
  `kid_qty` int(2) default NULL,
  `addbed_yn` char(1) NOT NULL default '',
  `push_code` char(1) NOT NULL default '',
  `push_time` datetime default NULL,
  `cust_msg` blob,
  `cust_car` varchar(20) default NULL,
  `cust_absent` datetime default NULL,
  `morning_call` varchar(15) default NULL,
  `res_cou_qty` int(11) NOT NULL default '0',
  `cust_remark` blob,
  `ci_user` varchar(12) NOT NULL default '',
  `cause_no` char(1) NOT NULL default '',
  `show_text` varchar(255) default NULL,
  `outer_room_no` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`rid`),
  KEY `ci_no` (`ci_no`),
  KEY `room_no` (`room_no`),
  KEY `ci_date` (`ci_date`,`ci_time`),
  KEY `co_date` (`co_date`,`co_time`),
  KEY `room_status` (`room_status`)
) TYPE=InnoDB CHARSET=latin1;

INSERT INTO `roomcon_force` VALUES (1,'001','207','1','2004-10-11','10:48:52',1,'2004-10-12','13:22:53','00000000000000','','','20041011104852','C','','李四端','','','','',NULL,NULL,NULL,0,NULL,'','',NULL,'','','0000-00-00 00:00:00','07:00:00',0,'','','','客戶計費停留時間  ==>1天2小時34分鐘    交易計費共計:===>   住宿1天 休息1次...請補足住宿天數或休息次數','');

