<?php 
include("glbinc.inc");
include($inc_path."fpdf/fpdf_js.php");
//include("/home/www/WebHotel/Kindness/Front/opendb.inc");
//include("/home/www/WebHotel/Kindness/Front/table.class.php");

//==========pdf class
//die('test');
class PDF extends PDF_Javascript
{
var $B;
var $I;
var $U;
var $HREF;

var $col=0;
#設col邊界,多行設定
function SetCol($col)
{
    //Move position to a column
    $this->col=$col;
    $x=20+$col*100;
    $this->SetLeftMargin($x);
    $this->SetX($x);
}

function PageBreak($ptop)
{
    if($this->col<1)
    {
        //Go to next column 第2欄才跳頁
        $this->SetCol($this->col+1);
        $this->SetY($ptop);//1 row是5 units
        return false;
    }
    else
    {
        //Go back to first column and issue page break
        $this->SetCol(0);
        return true;
    }
}
/*
function PDF($orientation='P',$unit='mm',$format='A4')
{
	//Call parent constructor
	$this->FPDF($orientation,$unit,$format);
	//Initialization
	$this->B=0;
	$this->I=0;
	$this->U=0;
	$this->HREF='';
}
*/
function WriteHTML($html)
{
	//HTML parser
	$html=str_replace("\n",' ',$html);
	$a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
	foreach($a as $i=>$e)
	{
		if($i%2==0)
		{
			//Text
			if($this->HREF)
				$this->PutLink($this->HREF,$e);
			else
				$this->Write(5,$e);
		}
		else
		{
			//Tag
			if($e{0}=='/')
				$this->CloseTag(strtoupper(substr($e,1)));
			else
			{
				//Extract attributes
				$a2=explode(' ',$e);
				$tag=strtoupper(array_shift($a2));
				$attr=array();
				foreach($a2 as $v)
					if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
						$attr[strtoupper($a3[1])]=$a3[2];
				$this->OpenTag($tag,$attr);
			}
		}
	}
}

function OpenTag($tag,$attr)
{
	//Opening tag
	if($tag=='B' or $tag=='I' or $tag=='U')
		$this->SetStyle($tag,true);
	if($tag=='A')
		$this->HREF=$attr['HREF'];
	if($tag=='BR')
		$this->Ln(5);
}

function CloseTag($tag)
{
	//Closing tag
	if($tag=='B' or $tag=='I' or $tag=='U')
		$this->SetStyle($tag,false);
	if($tag=='A')
		$this->HREF='';
}

function SetStyle($tag,$enable)
{
	//Modify style and select corresponding font
	$this->$tag+=($enable ? 1 : -1);
	$style='';
	foreach(array('B','I','U') as $s)
		if($this->$s>0)
			$style.=$s;
	$this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
	//Put a hyperlink
	$this->SetTextColor(0,0,255);
	$this->SetStyle('U',true);
	$this->Write(5,$txt,$URL);
	$this->SetStyle('U',false);
	$this->SetTextColor(0);
}
//=====================================
function NbLines($w,$txt)
{
    if($this->CurrentFont['type']=='Type0'){
  
        return $this->MBNbLines($w,$txt);

    }else{

        return $this->SBNbLines($w,$txt);

    }
}
function SBNbLines($w,$txt)
{
    //Computes the number of lines a MultiCell of width w will take
    $cw=&$this->CurrentFont['cw'];//print_r($cw);
    if($w==0)
        $w=$this->w-$this->rMargin-$this->x;
    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;//print $this->FontSize.'<br>';
    $s=str_replace("\r",'',$txt);//print $wmax.'<br>';
    $nb=strlen($s);//print $nb.'<br>';
    if($nb>0 and $s[$nb-1]=="\n")
        $nb--;
    $sep=-1;
    $i=0;
    $j=0;
    $l=0;
    $nl=1;
    while($i<$nb)
    {
        $c=$s[$i];
        if($c=="\n")
        {
            $i++;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
            continue;
        }
        if($c==' ')
            $sep=$i;
        $l+=$cw[$c];
        if($l>$wmax)
        {
            if($sep==-1)
            {
                if($i==$j)
                    $i++;
            }
            else
                $i=$sep+1;
            $sep=-1;
            $j=$i;
            $l=0;
            $nl++;
        }
        else
            $i++;
    }
    return $nl;
}
function MBNbLines($w,$txt)
{
    //Multi-byte version of MultiCell()
    $cw=&$this->CurrentFont['cw'];
    if($w==0)
        $w=$this->w-$this->rMargin-$this->x;
    $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
    $s=str_replace("\r",'',$txt);
    $nb=strlen($s);
    if($nb>0 and $s[$nb-1]=="\n")
        $nb--;
    $sep=-1;
    $i=0;
    $j=0;
    $l=0;
    $ns=0;
    $nl=1;
    while($i<$nb)
    {
        //Get next character
        $c=$s[$i];
        //Check if ASCII or MB
        $ascii=(ord($c)<128);
        if($c=="\n")
        {
            //Explicit line break
            $i++;
            $sep=-1;
            $j=$i;
            $l=0;
            $ns=0;
            $nl++;
            continue;
        }
        if(!$ascii)
        {
            $sep=$i;
            $ls=$l;
        }
        elseif($c==' ')
        {
            $sep=$i;
            $ls=$l;
            $ns++;
        }
        $l+=$ascii ? $cw[$c] : 1000;
        if($l>$wmax)
        {
            //Automatic line break
            if($sep==-1 or $i==$j)
            {
                if($i==$j)
                    $i+=$ascii ? 1 : 2;
            }
            else
            {
                if($align=='J')
                {
                    if($s[$sep]==' ')
                        $ns--;
                    if($s[$i-1]==' ')
                    {
                        $ns--;
                        $ls-=$cw[' '];
                    }
                    $this->ws=($ns>0) ? ($wmax-$ls)/1000*$this->FontSize/$ns : 0;
                    $this->_out(sprintf('%.3f Tw',$this->ws*$this->k));
                }
                $i=($s[$sep]==' ') ? $sep+1 : $sep;
            }
            $sep=-1;
            $j=$i;
            $l=0;
            $ns=0;
            $nl++;
        }
        else
            $i+=$ascii ? 1 : 2;
    }
    return $nl;
}
//========================================
function Headers($html="xxx")
 {
 $this->AddPage();
	$this->SetFont('uni','',14);
	$this->SetLeftMargin(0.0);$this->SetRightMargin(0.0);$this->SetTopMargin(0.0);
	$this->SetAutoPageBreak('off' ,0.0) ;	//default (on ,2cm)在底部(20)
	$this->SetY(12.0);$this->SetX(5.0);
	$this->MultiCell(100,6, "$html" ,0); ;

 }
 function AutoPrint($prtName="HP DeskJet 695C")
{
	//Embed some JavaScript to show the print dialog or start printing immediately
	//$param=($dialog ? 'true' : 'false');
 $script = "var pp=this.getPrintParams();\n" ;
 $script .= "pp.interactive=pp.constants.interactionLevel.automatic;" ;
  $script .= "fv=pp.constants.flagValues;" ;

   $script .= "var r, re;\n" ;
   $script .= "   re = new RegExp('$prtName',\"i\");\n" ;
  $script .= "	var l = app.printerNames.length;\n" ;
 $script .="for ( var i = 0; i < l; i++){" ;
$script .= "   var s = app.printerNames[i];\n" ;
 //echo "   re = new RegExp(\"HP DeskJet 695C\",\"i\");\n" ;
 $script .= "   r = s.match(re);\n" ;
     $script .="if(r!=null){\n";
// $script .= "app.alert(app.printerNames[i]);" ;
 $script .= "pp.printerName=app.printerNames[i];\n" ;
 $script .= "pp.flags |= (fv.suppressCenter | fv.suppressRotate);\n";//don't rotate & center
 $script .= "pp.flags = pp.flags | fv.setPageSize;\n" ;//使用軟體定義紙
 
  $script .= "this.print(pp);" ;
  $script .= "break;";
     $script .= "}\n" ;
 $script .= "}\n" ;
 $script .="if(r==null){ print('true');}";
//app.alert(\"Can't find printer $prtName ,\\n\\n Please check your printers setting.\");
	$this->IncludeJS($script);
}
}
//==============end class/
$xylen=array(80.0,140.0);
$pdf=new PDF("P","mm",$xylen);
//$pdf->SetFontSize(14);
$pdf->AddBig5Font();//'AdobeMingStd-Light''DFBangShuStd-W8'
$pdf->Open();
    $pdf->SetFont('uni','',12);
//$title_rows=$pdf->NbLines(55,"$inv_coname $inv_addr \n$inv_tel1");
//$title_height=$title_rows*3;

$v_year=date("Y");
$v_month=intval(date("m"),10);
$v_month=(($v_month % 2)==0)?sprintf("%02d",$v_month):sprintf("%02d",$v_month+1);
$v_date_time=date("Y-m-d H:i");
$v_date=date("Y-m-d");
$v_time=date("H:i:s");
 $conn->BeginTrans();
for ($i=1;$i<=3;$i++){

     $v_inv="sep".$i."_invno";
	 
   if(isset($$v_inv)){
	    $pdf->AddPage();
        //$pdf->SetFont('uni','B',12);
        //$pdf->Headers($room_no, $m_cidno, $v_name, $ci_date,$to_day);    $pdf->SetY(80);
    $pdf->SetLeftMargin(6.0);$pdf->SetRightMargin(0.0);$pdf->SetTopMargin(0.0);
	    $pdf->SetAutoPageBreak('off' ,0.0) ;	//default (on ,2cm)在底部(20)
		$pdf->SetY(0.5);//$pdf->SetX(5.0);date("Y-m-d");
     //================================================================
	 $m_inv=$$v_inv;
//	 saymsg("m_inv=$m_inv");
     $invcode=substr($m_inv,0,2);
     $invseq=substr($m_inv,2,8);

     $v_midno="sep".$i."_midno";
	 $m_midno=$$v_midno;
     $v_name="sep".$i."_name";
	 $m_name=$$v_name;
	 $vrem='inv_remark'.$i;
	 $inv_remark=$$vrem;

     $v_tot_ar="sep".$i."_tot_ar";//
        $pay_name='';
          $v_tot_ar_001="sep".$i."_tot_ar_001";//
            if(!empty($$v_tot_ar_001))$pay_name.='房租 ';
          $v_tot_c_001="sep".$i."_tot_c_001";//
	      $v_tot_ar_002="sep".$i."_tot_ar_002";//
	          if(!empty($$v_tot_ar_002))$pay_name.='其他';
		  //$v_tot_ar_003="sep".$i."_tot_ar_003";//
		  $rt_type='';
		  $v_cash="sep".$i."_cash";//sep$i"."_cash
		        if(!empty($$v_cash))$rt_type='1';
		  $v_card="sep".$i."_card";
		        if(!empty($$v_card))$rt_type='2';
		  $v_sign="sep".$i."_sign";
		        if(!empty($$v_sign))$rt_type='3';
	 $v_tot="sep".$i."_tot";
 	 $m_tot_ar=$$v_tot;
	 if(empty($m_tot_ar))$m_tot_ar=$$v_tot_ar;

     //$m_type="1";
	 //if (!empty($m_midno)){$m_type="2";}
	 if(empty($inv_type)){
       $inv_type="1";
	    if (!empty($m_midno)){$inv_type="2";}
	 }
     $sql="select inv_code from invoice  ";
	 $sql.=" where inv_year='$v_year' and inv_month='$v_month'";
     $sql.=" and inv_code='$invcode' and inv_seq='$invseq' and inv_status='1' ";
     $rs= &$conn->Execute($sql);//print_r ($rs);
//	 echo $sql."<br>";
     if (empty($rs)){
         echo "檔案開啟錯誤 invoice HFS-inv-print1 00".$conn->ErrorMsg();
       $conn->RollbackTrans();
         exit ;
     }
     //====== Add by David Wu 2008/09/03
     if($rs->rowcount()==0){
          saymsg("發票號碼已被使用, 請重新開立");
          sayscript("history.back();");
          exit ;
     }
     //============
     if($rs->rowcount()>0){   
     $sql="update invoice set inv_status='3' ,inv_date='$v_date' ,inv_time='$v_time' , inv_money='$m_tot_ar' , ";
	 $sql.=" cust_name='$m_name' , inv_busino='$m_midno' ,inv_type='$inv_type' ,room_no='$room_no',ci_no='$ci_no',inv_remark='$inv_remark' ";
	 $sql.=" , pay_name='$pay_name' ,rt_type='$rt_type' , modusr = '".$_SESSION['PHP_AUTH_USER']."' ,  modtm = now() ";
	 $sql.=" where inv_year='$v_year' and inv_month='$v_month'";
     $sql.=" and inv_code='$invcode' and inv_seq='$invseq' ";

     $rs= &$conn->Execute($sql);//print_r ($rs);
//	 echo $sql."<br>";
     if (empty($rs)){
         echo "檔案開啟錯誤 invoice HFS-inv-print1 03".$conn->ErrorMsg();
       $conn->RollbackTrans();
         exit ;
     }
     }else{
	 //if(empty($rs->_numOfRows)){
     $sql="insert into invoice   ";
     $sql.=" ( hid, inv_code, inv_seq, inv_year, inv_month, inv_date,inv_time, ";
     $sql.=" inv_money, inv_tax, inv_type, inv_status, cust_name, inv_busino, room_no,ci_no,inv_remark ,pay_name,rt_type,modusr,modtm) ";
     $sql.=" values  ";
     $sql.=" ('$hid', '$invcode', '$invseq', '$v_year', '$v_month', '$v_date','$v_time', ";
     $sql.=" '$m_tot_ar', 0, '$inv_type', '3', '$m_name', '$m_midno','$room_no','$ci_no', '$inv_remark','$pay_name' ,'$rt_type' , '".$_SESSION['PHP_AUTH_USER']."' , now() ) ";
     $rs= &$conn->Execute($sql);
      if( empty($rs)){
        echo "發票資料寫入錯誤".$conn->ErrorMsg();
       $conn->RollbackTrans();
        exit;}
     }
	 /*$sep_yn為拆帳作業判斷的旗標*/
     if ($sep_yn=="Y"){
        $condi=" and sep_seq='$i'  ";
     }
	 else{
		 $condi="";
	 }
    if($preci!='Y'){
    	$inrttyp=array();
    	for ($i=1;$i<=3;$i++){
    	    $rttypstr="s".$i."_amt";
    	    if (isset($$rttypstr) &&!empty($$rttypstr)) {
    	    	$inrttyp[]=$i;
    	    }
    	}
    	if(count($inrttyp)>0)$inrttypstr='and rt_type in('.implode(',',$inrttyp).')';else $inrttypstr='';
	 $sql="update salemaster set inv_yn='Y',inv_no='$m_inv'  where hid='$hid' and ci_no='$ci_no' and inv_yn<>'Y' $condi ";//要讓交易主檔呈現已開發票的狀況(inv_yn='N' or inv_yn='' or inv_yn is null)
     $rs= &$conn->Execute($sql);
     if (empty($rs)){
       echo "檔案開啟錯誤 salemaster HFS-inv-print1 99".$conn->ErrorMsg();
       $conn->RollbackTrans();
         exit ;
     }
//	 	 echo $sql."<br>";
      $sql="update accdetail set inv_yn='Y',inv_no='$m_inv'  where hid='$hid' and ci_no='$ci_no' and inv_yn<>'Y' $inrttypstr $condi ";//要讓交易主檔呈現已開發票的狀況
     $rs= &$conn->Execute($sql);
     if (empty($rs)){
       echo "檔案開啟錯誤 accdetail HFS-inv-print1 03".$conn->ErrorMsg();
       $conn->RollbackTrans();
         exit ;
     }
    }
	 //===========================================================
     /*
	$sqlglo = "select * from ".$tpl_prefix."admsetup ";
    $rsglo = $conn->Execute($sqlglo);
    if (!empty($rsglo)) {
	         $inv_coname = $rsglo->fields("inv_coname");
	}
    */
    //$inv_addr $inv_coname $inv_tel1 $inv_coid

    $pdf->MultiCell(65,4,"$inv_coname $inv_addr");// \n$inv_tel1
    $pdf->Cell(11,4, "電話:  " ,0);
    //$pdf->Ln($title_height);
	      $pdf->SetFont('courier','',13); 
          $pdf->Cell(0,4, $inv_tel1 ,0);$pdf->Ln();
              $pdf->SetFont('uni','',12);
     //$pdf->Cell(0,6, "公司:  "."$inv_coname" ,0);$pdf->Ln();//$COM_NAME
     $pdf->Cell(11,4, "統編: ",0);
     
             $pdf->SetFont('courier','',13);
          $pdf->Cell(0,4,"$inv_coid" ,0);$pdf->Ln();      
     $pdf->Cell(0,4, "  $v_date_time" ,0);$pdf->Ln();
     

     
    
	  $pdf->Cell(0,4,"  $m_midno" ,0);$pdf->Ln();
	 //$pdf->Cell(0,6, "ci_no:".$ci_no ,0);$pdf->Ln();
         $pdf->SetY(30.0);
             $pdf->SetFont('uni','',12);
	 //$pdf->Cell(0,6, "消費項目:",0);$pdf->Ln();
     
	 //$pdf->Cell(10,6, "$inv_item " ,0);
	 //       $pdf->SetFont('Times','',12); 
	 //$pdf->Cell(0,6, "$m_tot_ar" ,0); $pdf->Ln();
	       //$pdf->SetFont('Times','',12); 
	 if(!empty($$v_tot_ar_001)){
	 $pdf->Cell(11,6, '房租 * '.$$v_tot_c_001.' (含稅)' ,0); $pdf->SetFont('courier','',13);  
	 $pdf->Cell(46,6, $$v_tot_ar_001 ,0,0,'R');
	 $pdf->Ln();
	 }
	 if(!empty($$v_tot_ar_002)){//echo $$v_tot_ar_002;exit;
	 	 $pdf->SetFont('uni','',12);
	 $pdf->Cell(11,6, "其他 (含稅) ",0); $pdf->SetFont('courier','',13); 
	 $pdf->Cell(46,6, ' '.$$v_tot_ar_002 ,0,0,'R'); 
	 $pdf->Ln();
	 }
	 if(!empty($$v_tot_ar_003)){
	 $pdf->Cell(57,6, "003 (含稅)   ".$$v_tot_ar_003 ,0,0,'R'); $pdf->Ln();
	 }
	 if(($m_tot_ar-$$v_tot_ar) != 0){
	 $pdf->Cell(57,6, "004 (含稅)   ".($m_tot_ar-$$v_tot_ar) ,0,0,'R'); $pdf->Ln();
	 }
     $m_tot_ar_net=round($m_tot_ar/1.05);
     $m_tax=$m_tot_ar-$m_tot_ar_net;
                  $pdf->SetFont('uni','',12);
     $pdf->Cell(11,6, "銷售淨額: " ,'T');
                 $pdf->SetFont('courier','',13); 
     $pdf->Cell(46,6, "$m_tot_ar_net" ,'T',0,'R');$pdf->Ln();
                  $pdf->SetFont('uni','',12);
     $pdf->Cell(11,6, "營業稅:  5.00% " ,0);
                 $pdf->SetFont('courier','',13); 
     $pdf->Cell(46,6, "$m_tax" ,0,0,'R');$pdf->Ln();
             $pdf->SetFont('uni','',12);
	 $pdf->Cell(11,6, "總計: " ,0);
	             $pdf->SetFont('courier','B',16); 
	 $pdf->Cell(46,6, "$m_tot_ar" ,0,0,'R');$pdf->Ln(8);
	 //=========================================
     $pdf->SetFont('uni','',12);
     $pdf->Cell(11,6, "若發票作廢，請於次月5日前退回" ,0);
   }

} // end for
$conn->CommitTrans();

//echo '1234';
//==========================

        $prg_code=basename(__FILE__);
$sql ="select * ,LENGTH(print_hostip) as len  from tpl_printer where instr('$REMOTE_ADDR',print_hostip)<> 0 and prg_code='$prg_code' ";
        //$sql = "select *  from   tpl_printer  where prg_code='$prg_code' ";
        $rsp = &$conn->Execute($sql);
		$print_name = $rsp->fields("print_name");
if(!empty($print_name))
$pdf->AutoPrint("$print_name");

$pdf->Output();
?>
