<?php 
include("../glbinc.inc");

include($inc_path."fpdf/chinese.php");

//include("/home/www/WebHotel/Kindness/Front/opendb.inc");
//include("/home/www/WebHotel/Kindness/Front/table.class.php");

//==========pdf class


class PDF_MySQL_Table extends PDF_Chinese
{
var $ProcessingTable=false;
var $aCols=array();
var $TableX;
var $HeaderColor;
var $RowColors;
var $ColorIndex;
var $db = null;//adodb
function setdb(&$conn)
{
	    if ($conn){
               $this->db = $conn;
          /*選擇存取的table files*/
        } else {
           if (!$conn) {
            die('連線尚未設定!');
           } else {
            die ('找不到資料庫!');
           }
	    }
}
function Header()
{
    //Print the table header if necessary
    if($this->ProcessingTable)
        $this->TableHeader();
}

function TableHeader()
{
    $this->SetFont('uni','B',12);
    $this->SetX($this->TableX);
    $fill=!empty($this->HeaderColor);
    if($fill)
        $this->SetFillColor($this->HeaderColor[0],$this->HeaderColor[1],$this->HeaderColor[2]);
    foreach($this->aCols as $col)
        $this->Cell($col['w'],6,$col['c'],1,0,$col['a'],$fill);
    $this->Ln();
}

function Row($data)
{
    $this->SetX($this->TableX);
    $ci=$this->ColorIndex;
    $fill=!empty($this->RowColors[$ci]);
    if($fill)
        $this->SetFillColor($this->RowColors[$ci][0],$this->RowColors[$ci][1],$this->RowColors[$ci][2]);
    foreach($this->aCols as $col)
    {
	if(!is_array($col['r'])){
        $this->Cell($col['w'],5,$data[$col['f']],1,0,$col['a'],$fill);
	}else{
	  $refn=$col['r'];
	  //global $$refn;
	  //$refname=$$refn;
        $this->Cell($col['w'],5,$refn[$data[$col['f']]],1,0,$col['a'],$fill);		
	}
    }
    $this->Ln();
    $this->ColorIndex=1-$ci;
}

function CalcWidths($width,$align)
{
    //Compute the widths of the columns
    $TableWidth=0;
    foreach($this->aCols as $i=>$col)
    {
        $w=$col['w'];
        if($w==-1)
            $w=$width/count($this->aCols);
        elseif(substr($w,-1)=='%')
            $w=$w/100*$width;
        $this->aCols[$i]['w']=$w;
        $TableWidth+=$w;
    }
    //Compute the abscissa of the table
    if($align=='C')
        $this->TableX=max(($this->w-$TableWidth)/2,0);
    elseif($align=='R')
        $this->TableX=max($this->w-$this->rMargin-$TableWidth,0);
    else
        $this->TableX=$this->lMargin;
}

function AddCol($field=-1,$width=-1,$caption='',$align='L',$ref='')
{
    //Add a column to the table
    if($field==-1)
        $field=count($this->aCols);
    $this->aCols[]=array('f'=>$field,'c'=>$caption,'w'=>$width,'a'=>$align,'r'=>$ref);
}

function Table($query,$prop=array())
{
	global $conn;
	if(!empty($conn)){$this->setdb($conn);}
    //Issue query
    $res=$this->db->Execute($query) or die('Error: '.mysql_error()."<BR>Query: $query");
    //Add all columns if none was specified
    if(count($this->aCols)==0)
    {
        //$nb=mysql_num_fields($res);
		$nb=$res->FieldCount();
        for($i=0;$i<$nb;$i++)
            $this->AddCol();
    }
    //Retrieve column names when not specified
    foreach($this->aCols as $i=>$col)
    {
        if($col['c']=='')
        {
            if(is_string($col['f'])){
                $this->aCols[$i]['c']=ucfirst($col['f']);
            }else{
                //$this->aCols[$i]['c']=ucfirst(mysql_field_name($res,$col['f']));
                  $fj  = $res->FetchField($col['f']);
			    $this->aCols[$i]['c']=ucfirst($fj->name);
			}
        }
    }
    //Handle properties
    if(!isset($prop['width']))
        $prop['width']=0;
    if($prop['width']==0)
        $prop['width']=$this->w-$this->lMargin-$this->rMargin;
    if(!isset($prop['align']))
        $prop['align']='C';
    if(!isset($prop['padding']))
        $prop['padding']=$this->cMargin;
    $cMargin=$this->cMargin;
    $this->cMargin=$prop['padding'];
    if(!isset($prop['HeaderColor']))
        $prop['HeaderColor']=array();
    $this->HeaderColor=$prop['HeaderColor'];
    if(!isset($prop['color1']))
        $prop['color1']=array();
    if(!isset($prop['color2']))
        $prop['color2']=array();
    $this->RowColors=array($prop['color1'],$prop['color2']);
    //Compute column widths
    $this->CalcWidths($prop['width'],$prop['align']);
    //Print header
    $this->TableHeader();
    //Print rows
    $this->SetFont('uni','',11);
    $this->ColorIndex=0;
    $this->ProcessingTable=true;
	//while($row=mysql_fetch_array($res))
	while($row=$res->FetchRow())
            $this->Row($row);
    $this->ProcessingTable=false;
    $this->cMargin=$cMargin;
    $this->aCols=array();
}
}
class PDF extends PDF_MySQL_Table
{
var $title,$pgname,$prnman;
function Header()
{
    //Title
    $this->SetTextColor(0,0,0);
	$this->setX($this->tableX);
    $this->SetFont('uni','B',14);
    $this->Cell(0,6,$this->title,0,1,'C');
    $this->SetFont('uni','B',11);
    //$this->SetFont('Arial','',18);
	$this->setX($this->lMargin);
	$ptime='印表時間: '.date("Y/m/d H:i");
	$this->Cell(10,6,$ptime,0,0,'L');
	$this->setX($this->tableX);
    $this->Cell(0,6,$this->pgname,0,0,'C');
	$this->setX($this->rMargin-50);
	$this->Cell(0,6,'頁次: '.$this->PageNo().'/{nb}',0,0,'L');
//	$this->Cell(0,6,'頁次: '.$this->PageNo().'/'.$this->page,0,0,'L');
    $this->Ln();
	$this->Cell(10,6,"列印人員:".$this->prnman,0,0,'L');
    $this->Ln();
    //==========Column Header
    //Ensure table header is output
    parent::Header();
}
}

//====end class
  $querystr='';
  $curdate=date('Y-m-d');
  if (!empty($sel_date)) $curdate=$sel_date; 
//  $curdate='2010-07-09';
  $sql="select * from roomcon  where room_status = '1' and co_date<='$curdate' order by room_no";
  $Tsql="select * from roomcon  where room_status = '1' and co_date<='$curdate' order by room_no";/* for query */
  $trs=&$conn->SelectLimit($Tsql,1);
  //$querystr=getquerystr($trs,$sel_method);

//    saymsg("soyalsql = $soyalsql");
  $rs=$conn->Execute($sql);
//  if (!$rs) {
//        print ($strMeta."<h3>查 無 資 料.</h3><br>");
//        exit;
//    }

  $rows=$rs->Rowcount();

//====開啟pdf
//$xylen=array(110.0,155.0);//25.54*6=155
if (empty($p_size)) $p_size='a4';
$pdf=new PDF("L","mm",$p_size);
//$pdf->SetFontSize(14);
$pdf->AddBig5Font();
$pdf->Open();
$sqlstr="select * from admsetup";
$rsstr=&$conn->Execute($sqlstr);
if ($rsstr->Rowcount()==0) {
	$pdf->title='admsetup 無公司名稱';
} else {
        $pdf->title=$rsstr->fields("hname");
}	
  $pdf->pgname='<<'.$curdate.'當日退房及預進房號報表>>';
  $sqlx="select usracc,usrname from userdbf where usracc='$PHP_AUTH_USER'";
  $rsx=$conn->Execute($sqlx);
  $usrname=$rsx->fields('usrname');
	$pdf->prnman=$usrname;

	$pdf->AddPage();
	$pdf->AliasNbPages();
  $pdf->SetFont('uni','',11);
	$lwidth=$pdf->w - $pdf->lMargin;
//	$rs=$conn->execute($sql);
//=======退房
//==========算人數及房間數
  $sqla="select * from roomcon  where room_status = '1' and co_date<='$curdate' order by room_no";
  $rsa=$conn->Execute($sqla);
  $tot_roomm_qty=0;
  $tot_m_qty=0;
  $gh_roomm_qty=0;
  $gh_m_qty=0;
  $ed_roomm_qty=0;
  $ed_m_qty=0;
  while (!$rsa->EOF) {
		$co_roomno=$rsa->fields('room_no');
		$res_man=$rsa->fields('res_man');
		$v_name=$rsa->fields('v_name');
		$res_no=$rsa->fields('res_no');
		if (!empty($res_no)) {
      $sqlx="select * from greserv where prd_no='$res_no' ";
      $rsx=$conn->Execute($sqlx);
      if (empty($rsx)) {
        saymsg("greserv 選取錯誤!!");
        exit;
      }
		  $ad_qty=$rsx->fields('ad_m_qty');
		  $kid_qty=$rsx->fields('kid_qty');
		  $rsx->Close();
		  $tot_m_qty=$tot_m_qty+$ad_qty+$kid_qty;
		  $tot_room_qty=$tot_room_qty + 1;
		    $gh_m_qty=$gh_m_qty +$ad_qty+$kid_qty;
		    $gh_room_qty=$gh_room_qty + 1;
		
		  //$ci_date=$rs->fields('ci_date');
		  //$co_date=$rs->fields('co_date');
		//$cust_remark=$rs->fields('cust_remark');
		} else {
		  $male_qty=$rsa->fields('male_qty');
		  $female_qty=$rsa->fields('female_qty');
		  $ad_qty=$male_qty + $female_qty;
		  $tot_m_qty=$tot_m_qty+$ad_qty;
		  $tot_room_qty=$tot_room_qty + 1;
		    $gh_m_qty=$gh_m_qty +$ad_qty;
		    $gh_room_qty=$gh_room_qty + 1;
    }
		
    $rsa->Movenext();
  }
  $rsa->Close();
//==============
//    $this->SetFont('uni','',11);
//	$pdf->Cell(20,6,'當日預退',1,0,'L');
	$pdf->Cell(259,6,'當日預退 共 '.$tot_room_qty.' 個房間 人數 '.$tot_m_qty.' 位 ',1,0,'L');
  $pdf->Ln();
	$pdf->Cell(12,6,'房號',1,0,'C');
	$pdf->Cell(50,6,'團體名稱、姓名',1,0,'C');
	$pdf->Cell(12,6,'性別',1,0,'C');
	$pdf->Cell(30,6,'人數',1,0,'C');
	$pdf->Cell(25,6,'電話',1,0,'C');
	$pdf->Cell(20,6,'C/I日期',1,0,'C');
	$pdf->Cell(20,6,'C/O日期',1,0,'C');
	$pdf->Cell(30,6,'車牌號碼',1,0,'C');
	$pdf->Cell(60,6,'備註',1,0,'C');
  $pdf->Ln();
  $co_roomno="";
	while (!$rs->EOF) {
		$co_roomno=$rs->fields('room_no');
		$cust_car=$rs->fields('cust_car');
		$res_man=$rs->fields('res_man');
		$v_name=$rs->fields('v_name');
		$str1=$res_man; //===." ".$v_name;
		$res_no=$rs->fields('res_no');
		if (!empty($res_no)) {
      $sqlx="select * from greserv where prd_no='$res_no' ";
      $rsx=$conn->Execute($sqlx);
      if (empty($rsx)) {
        saymsg("greserv 選取錯誤!!");
        exit;
      }
		  $c_name=$rsx->fields('c_name');
		  $v_name=$rsx->fields('v_name');
		  $str1=$v_name." ".$c_name;
		  $g_sex=$rsx->fields('g_sex');
		  if ($g_sex=='M') {
		    $sexstr='男';
      } else {
		    $sexstr='女';
      }
		  $ad_qty=$rsx->fields('ad_m_qty');
		  $kid_qty=$rsx->fields('kid_qty');
		  if (empty($ad_qty)) { $ad_qty='0';}
		  if (empty($kid_qty)) { $kid_qty='0';}
		  $str2='大人:'.$ad_qty.' 小孩:'.$kid_qty;
		  $c_tel=$rsx->fields('c_tel');
//		$rd_cidate=$rsx->fields('rd_cidate');
//		$rd_codate=$rsx->fields('rd_codate');
		  $rd_remark=$rsx->fields('rd_remark');
		  $rsx->Close();
		
		  //$ci_date=$rs->fields('ci_date');
		  //$co_date=$rs->fields('co_date');
		//$cust_remark=$rs->fields('cust_remark');
		} else {
		  $res_man=$rs->fields('res_man');
		  $v_name=$rs->fields('v_name');
		  $male_qty=$rs->fields('male_qty');
		  $female_qty=$rs->fields('female_qty');
		  $ad_qty=$male_qty + $female_qty;
		  $str1=$res_man; //====." ".$v_name;
		  $sexstr="";
		  if (empty($ad_qty)) { $ad_qty='0';}
		  $str2='大人:'.$ad_qty.' 小孩:0';
		  $c_tel='';
		  $rd_remark=$rs->fields('cust_remark');
    }
    $str1 = substr($str1,0,30);
   $ci_date=$rs->fields('ci_date');
   $co_date=$rs->fields('co_date');
		
    $str3='';
    $arr1=explode("\r\n",$rd_remark);
    foreach ($arr1 as $value){ 
       $str3.=trim($value); 
    }
    if (empty($str3)) $str3=$rd_remark;    
    $rd_remark=$str3;
/*
     $sln=1; 
     //$cln= substr_count($rd_remark,"\n")+1 ; 
    $xa=explode("\r\n",$rd_remark);
    $cln=0;
    foreach ($xa as $key => $val) {
      if ($val!='') {
        $cln++;
      }
    }
     
     if ($cln>$sln) $sln=$cln;
     */
    $slen=strlen($rd_remark);
    $sln=intval($slen/33);
    $pmod= $slen % 33;
    if ($pmod > 0) $sln=$sln+1;
    if ($sln==0) $sln=1; 
    $cln= substr_count($rd_remark,"\r\n") + 1; 
    if ($cln>$sln) $sln=$cln;
    $sln=1;
  	$pdf->Cell(12,6*$sln,"$co_roomno",'T',0,'C');
  	$pdf->Cell(50,6*$sln,"$str1",'T',0,'L');
  	$pdf->Cell(12,6*$sln,"$sexstr",'T',0,'C');
	$pdf->SetFont('uni','',10);
  	$pdf->Cell(30,6*$sln,"$str2",'T',0,'C');
	$pdf->SetFont('uni','',11);
  	$pdf->Cell(25,6*$sln,"$c_tel",'T',0,'C');
  	$pdf->Cell(20,6*$sln,"$ci_date",'T',0,'C');
  	$pdf->Cell(20,6*$sln,"$co_date",'T',0,'C');
  	$pdf->Cell(30,6*$sln,"$cust_car",'T',0,'C');
//  	$pdf->Cell(60,12,"$rd_remark",1,0,'L');
	  $pdf->MultiCell(60,6,"$rd_remark",'T','L','0');
//  	$pdf->Ln();
		$rs->MoveNext();
		$irc++;
	}
	$rs->Close();
//	$pdf->MultiCell(0,6,"$co_roomno",1,'L','0');
	$pdf->Ln();
	$pdf->Ln();
//======預訂住房
//=========合計人數及房間數
  $sql="select * from prechkin where ci_date='$curdate' order by room_no ";	
//  $sql="select * from greserv where rd_cidate='$curdate' order by room_no ";	
  $rs=$conn->Execute($sql);
  $ci_roomno="";
  $tot_m_qty=0;
  $tot_room_qty=0;
  $gh_m_qty=0;
  $gh_room_qty=0;
  $ed_m_qty=0;
  $ed_room_qty=0;
  while (!$rs->EOF) {
		$ci_roomno=$rs->fields('room_no');
		$res_no=$rs->fields('res_no');
    $sqlx="select * from greserv where prd_no='$res_no' ";
    $rsx=$conn->Execute($sqlx);
    if (empty($rsx)) {
      saymsg("greserv 選取錯誤!!");
      exit;
    }
		$ad_qty=$rsx->fields('ad_m_qty');
		$kid_qty=$rsx->fields('kid_qty');
		$tot_m_qty=$tot_m_qty + $ad_qty + $kid_qty;
		$tot_room_qty=$tot_room_qty + 1;
		  $gh_m_qty=$gh_m_qty + $ad_qty + $kid_qty;
		  $gh_room_qty=$gh_room_qty + 1;
  	$rsx->Close();
		
    $rs->Movenext();
  }
  $rs->Close();
//=========
  $pdf->AddPage();
	$pdf->Cell(259,6,'當日預進 共 '.$tot_room_qty.' 個房間 人數 '.$tot_m_qty.' 位',1,0,'L');
	$pdf->Ln();
	$pdf->Cell(12,6,'房號',1,0,'C');
	$pdf->Cell(50,6,'團體名稱、姓名',1,0,'C');
	$pdf->Cell(12,6,'性別',1,0,'C');
	$pdf->Cell(30,6,'人數',1,0,'C');
	$pdf->Cell(25,6,'電話',1,0,'C');
	$pdf->Cell(20,6,'C/I日期',1,0,'C');
	$pdf->Cell(20,6,'C/O日期',1,0,'C');
	$pdf->Cell(90,6,'備註',1,0,'C');
  $pdf->Ln();
  //======亞曼達
  $sql="select * from prechkin where ci_date='$curdate' order by room_no ";	
//  $sql="select * from greserv where rd_cidate='$curdate' order by room_no ";	
  $rs=$conn->Execute($sql);
  $ci_roomno="";
  $tot_m_qty=0;
  $tot_room_qty=0;
  $old_resno='';
  while (!$rs->EOF) {
		$ci_roomno=$rs->fields('room_no');
		$res_no=$rs->fields('res_no');
    $res_man=$rs->fields('res_man');
    $v_name=$rs->fields('v_name');
    $str1='';
      $sqlx="select * from greserv where prd_no='$res_no' ";
      $rsx=$conn->Execute($sqlx);
      if (empty($rsx)) {
        saymsg("greserv 選取錯誤!!");
        exit;
      }
		  $c_name=$rsx->fields('c_name');
		  $v_name=$rsx->fields('v_name');
		  $str1=trim($v_name); //===." ".trim($c_name);
		  if (empty($str1)) {
		    $str1=$res_man; //===." ".$v_name;
      }
		  $g_sex=$rsx->fields('g_sex');
		  if ($g_sex=='M') {
		    $sexstr='男';
      } else {
		    $sexstr='女';
      }
	    $ad_qty=$rsx->fields('ad_m_qty');
	    $kid_qty=$rsx->fields('kid_qty');
      if ($old_resno!=$res_no) {
		    $tot_m_qty=$tot_m_qty + $ad_qty + $kid_qty;
		    $old_resno=$res_no;
		  }
		  $tot_room_qty=$tot_room_qty + 1;
		  if (empty($ad_qty)) { $ad_qty='0';}
		  if (empty($kid_qty)) { $kid_qty='0';}
		  $str2='大人:'.$ad_qty.' 小孩:'.$kid_qty;
		  $c_tel=$rsx->fields('c_tel');
		  $rd_cidate=$rsx->fields('rd_cidate');
		  $rd_codate=$rsx->fields('rd_codate');
		  $rd_remark=$rsx->fields('rd_remark');
		  $rsx->Close();

      $str1=substr($str1,0,30);
    $str3='';
    $arr1=explode("\r\n",$rd_remark);
    foreach ($arr1 as $value){ 
       $str3.=trim($value); 
    }
    if (empty($str3)) $str3=$rd_remark;    
    $rd_remark=$str3;
/*    
    $str3='';
    $arr1=explode('\r',$rd_remark);
    foreach ($arr1 as $value){ 
       $str3.=trim($value); 
    }
    if (empty($str3)) $str3=$rd_remark;    
    $rd_remark=$str3;

    $str3='';
    $arr1=explode('\t',$rd_remark);
    foreach ($arr1 as $value){ 
       $str3.=trim($value); 
    }
    if (empty($str3)) $str3=$rd_remark; 
    $rd_remark=$str3;
    $rd_remark=nl2br($rd_remark);
  */  
/*    
     $sln=1; 
     //$cln= substr_count($rd_remark,"\n")+1 ; 
    $xa=explode("\r\n",$rd_remark);
    $cln=0;
    foreach ($xa as $key => $val) {
      if ($val!='') {
        $cln++;
      }
    }
    
     
     if ($cln>$sln) $sln=$cln;
     */
    $slen=strlen($rd_remark);
    $sln=intval($slen/33);
    $pmod= $slen % 33;
    if ($pmod > 0) $sln=$sln+1;
    if ($sln==0) $sln=1; 
    $cln= substr_count($rd_remark,"\r\n")+ 1; 
    //$cln= $sln + substr_count($rd_remark,"\n") + 1; 
    if ($cln>$sln) $sln=$cln;
    $sln=1;
  	$pdf->Cell(12,6*$sln,"$ci_roomno",'T',0,'C');
  	$pdf->Cell(50,6*$sln,"$str1",'T',0,'C');
  	$pdf->Cell(12,6*$sln,"$sexstr",'T',0,'C');
	$pdf->SetFont('uni','',10);
  	$pdf->Cell(30,6*$sln,"$str2",'T',0,'C');
	$pdf->SetFont('uni','',11);
  	$pdf->Cell(25,6*$sln,"$c_tel",'T',0,'C');
  	$pdf->Cell(20,6*$sln,"$rd_cidate",'T',0,'C');
  	$pdf->Cell(20,6*$sln,"$rd_codate",'T',0,'C');
//  	$pdf->MultiCell(60,12,"$rd_remark",1,0,'L');
	  $pdf->MultiCell(90,6,"$rd_remark",'T','L','0');
//  	$pdf->Ln();
		
    $rs->Movenext();
  }
  $rs->Close();
	//$pdf->MultiCell(0,6,"$ci_roomno",1,'L','0');
	
//		$pdf->Ln();
//  	$pdf->SetFont('uni','B',11);
//  	$pdf->Cell(0,6,">>>共 $tot_room_qty 個房間 人數 $tot_m_qty 位<<<",0,1,'C');
	$pdf->Output();
?>
